#### ODISPN

#### Synopsis

    HELP:   (HOST) Normal disposition of the FLAMOUT file
    TYPE:   NUMBER
    SYNTAX: ODISPN/ODISPNORMAL=CATALOG/CATLG/DELETE/KEEP/UNCATALOG/UNCATLG

#### Description

Normal disposition of the FLAMOUT file (z/OS only). The DISP parameter is part of the DD card in JCL.

This parameter is ignored when the file is allocated via JCL.

JCL-Syntax restrictions for FLAMv4 or older:

       DISP= [ status ]
       DISP=([ status ] [` *,normal-termination-disp* `] [,abnormal-termination-disp])
       DISP=([ NEW    ] [` *,DELETE*                  `] [,DELETE                   ])
       DISP=([ OLD    ] [` *,KEEP*                    `] [,KEEP                     ])
       DISP=([ SHR    ] [` *,CATLG*                   `] [,CATLG                    ])
       DISP=([ MOD    ] [` *,UNCATLG*                 `] [,UNCATLG                  ])
       DISP=([        ] [` *,UNCATLG*                 `]

See also parameters ODISPS and ODISPA.

- z/OS
  - `ODISPN=CATLG/DELETE/KEEP/UNCATLG`

Values

- z/OS
  - `CATLG` - catalog
  - `DELETE` - delete
  - `KEEP` - keep
  - `UNCATLG` - uncatalog

Default

- z/OS
  - none

Valid for

- decompression

#### Selections

- `CATALOG - Close disposition catalog`
- `CATLG - Close disposition catalog`
- `DELETE - Close disposition delete`
- `KEEP - Close disposition keep`
- `UNCATALOG - Close disposition uncatalog`
- `UNCATLG - Close disposition uncatalog`